> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List network interfaces

> List all network interfaces attached to the specified instance.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/interfaces
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/interfaces:
    get:
      tags:
        - Instances
      summary: List network interfaces
      description: List all network interfaces attached to the specified instance.
      operationId: NetworkInterfacesHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: instance_id
          required: true
          description: Instance ID
          schema:
            type: string
      responses:
        '200':
          description: List of instance network interfaces
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/InstanceInterfaceTrunkCollectionSerializer
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            network_interface_list = client.cloud.instances.interfaces.list(
                instance_id="instance_id",
                project_id=0,
                region_id=0,
            )
            print(network_interface_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tnetworkInterfaceList, err := client.Cloud.Instances.Interfaces.List(\n\t\tcontext.TODO(),\n\t\t\"instance_id\",\n\t\tcloud.InstanceInterfaceListParams{\n\t\t\tProjectID: gcore.Int(0),\n\t\t\tRegionID:  gcore.Int(0),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", networkInterfaceList.Count)\n}\n"
components:
  schemas:
    InstanceInterfaceTrunkCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/InstanceInterfaceTrunkSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: InstanceInterfaceTrunkCollectionSerializer
      type: object
    InstanceInterfaceTrunkSerializer:
      properties:
        allowed_address_pairs:
          description: >-
            Group of subnet masks and/or IP addresses that share the current IP
            as VIP
          items:
            $ref: '#/components/schemas/AllowedAddressPairsSerializer'
          title: Allowed Address Pairs
          type: array
        floatingip_details:
          description: Bodies of floating IPs that are NAT-ing IPs of this port
          items:
            $ref: '#/components/schemas/FloatingIPSerializer'
          title: Floatingip Details
          type: array
        interface_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Interface name
          examples:
            - my-interface
          title: Interface Name
        ip_assignments:
          description: IP addresses assigned to this port
          example:
            - ip_address: 192.168.123.20
              subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
            - ip_address: 192.168.120.16
              subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          examples:
            - - ip_address: 192.168.123.20
                subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
              - ip_address: 192.168.120.16
                subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          items:
            $ref: '#/components/schemas/PortIpSubnetIdSerializer'
          title: Ip Assignments
          type: array
        mac_address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: MAC address of the virtual port
          examples:
            - 00:16:3e:f2:87:16
          title: Mac Address
        network_details:
          $ref: '#/components/schemas/NetworkSubnetworkSerializer'
          description: Body of the network this port is attached to
        network_id:
          description: ID of the network the port is attached to
          example: bc688791-f1b0-44eb-97d4-07697294b1e1
          examples:
            - bc688791-f1b0-44eb-97d4-07697294b1e1
          format: uuid4
          title: Network Id
          type: string
        port_id:
          description: ID of virtual ethernet port object
          example: 1f0ca628-a73b-42c0-bdac-7b10d023e097
          examples:
            - 1f0ca628-a73b-42c0-bdac-7b10d023e097
          format: uuid4
          title: Port Id
          type: string
        port_security_enabled:
          description: Port security status
          example: true
          examples:
            - true
          title: Port Security Enabled
          type: boolean
        sub_ports:
          description: body of ports that are included into trunk port
          items:
            $ref: '#/components/schemas/InstanceInterfaceSubportSerializer'
          title: Sub Ports
          type: array
      required:
        - port_id
        - ip_assignments
        - network_id
        - port_security_enabled
        - network_details
        - floatingip_details
        - allowed_address_pairs
        - sub_ports
      title: InstanceInterfaceTrunkSerializer
      type: object
    AllowedAddressPairsSerializer:
      properties:
        ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - format: ipvanynetwork
              type: string
          description: >-
            Subnet mask or IP address of the port specified in
            `allowed_address_pairs`
          title: Ip Address
        mac_address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: MAC address of the port specified in `allowed_address_pairs`
          title: Mac Address
      required:
        - ip_address
      title: AllowedAddressPairsSerializer
      type: object
    FloatingIPSerializer:
      properties:
        created_at:
          description: Datetime when the floating IP was created
          example: 2019-06-13T13:58:12+0000
          examples:
            - 2019-06-13T13:58:12+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Task that created this entity
          examples:
            - d1e1500b-e2be-40aa-9a4b-cc493fa1af30
          title: Creator Task Id
        fixed_ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - type: 'null'
          description: IP address of the port the floating IP is attached to
          examples:
            - 192.168.10.15
          title: Fixed Ip Address
        floating_ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - type: 'null'
          description: IP Address of the floating IP
          examples:
            - 172.24.4.34
          title: Floating Ip Address
        id:
          description: Floating IP ID
          example: c64e5db1-5f1f-43ec-a8d9-5090df85b82d
          examples:
            - c64e5db1-5f1f-43ec-a8d9-5090df85b82d
          format: uuid4
          title: Id
          type: string
        port_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            Port ID the floating IP is attached to. The `fixed_ip_address` is
            the IP address of the port.
          examples:
            - ee2402d0-f0cd-4503-9b75-69be1d11c5f1
          title: Port Id
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        router_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Router ID
          examples:
            - 11005a33-c5ac-4c96-ab6f-8f2827cc7da6
          title: Router Id
        status:
          anyOf:
            - $ref: '#/components/schemas/FloatingIPStatus'
            - type: 'null'
          description: >-
            Floating IP status. DOWN - unassigned (available). ACTIVE - attached
            to a port (in use). ERROR - error state.
          examples:
            - ACTIVE
            - DOWN
            - ERROR
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - a4eb4b29-048e-42f6-a5e1-2c18bc001c45
          title: Task Id
        updated_at:
          description: Datetime when the floating IP was last updated
          example: 2019-06-13T13:58:12+0000
          examples:
            - 2019-06-13T13:58:12+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - project_id
        - region_id
        - region
        - creator_task_id
        - fixed_ip_address
        - floating_ip_address
        - id
        - tags
        - port_id
        - router_id
        - status
        - task_id
        - created_at
        - updated_at
      title: FloatingIPSerializer
      type: object
    PortIpSubnetIdSerializer:
      properties:
        ip_address:
          description: IP address
          example: 192.168.123.20
          examples:
            - 192.168.123.20
          format: ipvanyaddress
          title: Ip Address
          type: string
        subnet_id:
          description: ID of the subnet that allocated the IP
          example: 351b0dd7-ca09-431c-be53-935db3785067
          examples:
            - 351b0dd7-ca09-431c-be53-935db3785067
          format: uuid4
          title: Subnet Id
          type: string
      required:
        - subnet_id
        - ip_address
      title: PortIpSubnetIdSerializer
      type: object
    NetworkSubnetworkSerializer:
      properties:
        created_at:
          description: Datetime when the network was created
          example: 2019-06-18T11:56:16+0000
          examples:
            - 2019-06-18T11:56:16+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Task that created this entity
          examples:
            - fd50fdd1-0482-4c9b-b847-fc9924665af6
          title: Creator Task Id
        default:
          anyOf:
            - type: boolean
            - type: 'null'
          description: True if network has `is_default` attribute
          examples:
            - true
          title: Default
        external:
          description: True if the network `router:external` attribute
          example: true
          examples:
            - true
          title: External
          type: boolean
        id:
          description: Network ID
          example: eed97610-708d-43a5-a9a5-caebd2b7b4ee
          examples:
            - eed97610-708d-43a5-a9a5-caebd2b7b4ee
          format: uuid4
          title: Id
          type: string
        mtu:
          description: MTU (maximum transmission unit). Default value is 1450
          example: 1500
          examples:
            - 1500
          title: Mtu
          type: integer
        name:
          description: Network name
          example: public
          examples:
            - public
          title: Name
          type: string
        port_security_enabled:
          description: >-
            Indicates `port_security_enabled` status of all newly created in the
            network ports.
          example: true
          examples:
            - true
            - false
          title: Port Security Enabled
          type: boolean
        project_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Project ID
          examples:
            - 1337
          title: Project Id
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        segmentation_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Id of network segment
          examples:
            - 9
          title: Segmentation Id
        shared:
          description: True when the network is shared with your project by external owner
          example: false
          examples:
            - false
          title: Shared
          type: boolean
        subnets:
          description: List of subnets associated with the network
          example:
            - available_ips: 65432
              cidr: 10.0.0.0/16
              created_at: 2019-07-18T12:07:00+0000
              description: example description
              enable_dhcp: true
              id: 80bfcb8e-1709-4bb2-99d4-3fa1332571de
              ip_version: 4
              name: test 2
              network_id: 162091db-33cc-45d5-a375-964509af4813
              project_id: 1
              region: Luxembourg 1
              region_id: 1
              tags:
                - key: key1
                  read_only: false
                  value: value1
              total_ips: 65536
              updated_at: 2019-07-22T10:55:45+0000
            - available_ips: 232
              cidr: 192.168.192.0/24
              created_at: 2019-07-22T15:15:05+0000
              description: '{"task_id": "cc9a5445-189e-48de-a01f-5e10641a6915"}'
              enable_dhcp: true
              id: 94196a6a-c2ce-4f0d-8dc7-d9e0e722aea0
              ip_version: 4
              name: string
              network_id: 162091db-33cc-45d5-a375-964509af4813
              project_id: 1
              region: Luxembourg 1
              region_id: 1
              tags:
                - key: key1
                  read_only: false
                  value: value1
              total_ips: 256
              updated_at: 2019-07-22T15:15:05+0000
          examples:
            - - available_ips: 65432
                cidr: 10.0.0.0/16
                created_at: 2019-07-18T12:07:00+0000
                description: example description
                enable_dhcp: true
                id: 80bfcb8e-1709-4bb2-99d4-3fa1332571de
                ip_version: 4
                name: test 2
                network_id: 162091db-33cc-45d5-a375-964509af4813
                project_id: 1
                region: Luxembourg 1
                region_id: 1
                tags:
                  - key: key1
                    read_only: false
                    value: value1
                total_ips: 65536
                updated_at: 2019-07-22T10:55:45+0000
              - available_ips: 232
                cidr: 192.168.192.0/24
                created_at: 2019-07-22T15:15:05+0000
                description: '{"task_id": "cc9a5445-189e-48de-a01f-5e10641a6915"}'
                enable_dhcp: true
                id: 94196a6a-c2ce-4f0d-8dc7-d9e0e722aea0
                ip_version: 4
                name: string
                network_id: 162091db-33cc-45d5-a375-964509af4813
                project_id: 1
                region: Luxembourg 1
                region_id: 1
                tags:
                  - key: key1
                    read_only: false
                    value: value1
                total_ips: 256
                updated_at: 2019-07-22T15:15:05+0000
          items:
            $ref: '#/components/schemas/SubnetSerializer'
          title: Subnets
          type: array
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        type:
          description: Network type (vlan, vxlan)
          example: vlan
          examples:
            - vlan
          title: Type
          type: string
        updated_at:
          description: Datetime when the network was last updated
          example: 2019-06-18T11:57:00+0000
          examples:
            - 2019-06-18T11:57:00+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - project_id
        - region_id
        - region
        - id
        - name
        - mtu
        - created_at
        - updated_at
        - type
        - segmentation_id
        - external
        - default
        - shared
        - subnets
        - creator_task_id
        - task_id
        - tags
        - port_security_enabled
      title: NetworkSubnetworkSerializer
      type: object
    InstanceInterfaceSubportSerializer:
      properties:
        allowed_address_pairs:
          description: >-
            Group of subnet masks and/or IP addresses that share the current IP
            as VIP
          items:
            $ref: '#/components/schemas/AllowedAddressPairsSerializer'
          title: Allowed Address Pairs
          type: array
        floatingip_details:
          description: Bodies of floating IPs that are NAT-ing IPs of this port
          items:
            $ref: '#/components/schemas/FloatingIPSerializer'
          title: Floatingip Details
          type: array
        interface_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Interface name
          examples:
            - my-interface
          title: Interface Name
        ip_assignments:
          description: IP addresses assigned to this port
          example:
            - ip_address: 192.168.123.20
              subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
            - ip_address: 192.168.120.16
              subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          examples:
            - - ip_address: 192.168.123.20
                subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
              - ip_address: 192.168.120.16
                subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          items:
            $ref: '#/components/schemas/PortIpSubnetIdSerializer'
          title: Ip Assignments
          type: array
        mac_address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: MAC address of the virtual port
          examples:
            - 00:16:3e:f2:87:16
          title: Mac Address
        network_details:
          $ref: '#/components/schemas/NetworkSubnetworkSerializer'
          description: Body of the network this port is attached to
        network_id:
          description: ID of the network the port is attached to
          example: bc688791-f1b0-44eb-97d4-07697294b1e1
          examples:
            - bc688791-f1b0-44eb-97d4-07697294b1e1
          format: uuid4
          title: Network Id
          type: string
        port_id:
          description: ID of virtual ethernet port object
          example: 1f0ca628-a73b-42c0-bdac-7b10d023e097
          examples:
            - 1f0ca628-a73b-42c0-bdac-7b10d023e097
          format: uuid4
          title: Port Id
          type: string
        port_security_enabled:
          description: Port security status
          example: true
          examples:
            - true
          title: Port Security Enabled
          type: boolean
        segmentation_id:
          description: id of network segment
          example: 3990
          examples:
            - 3990
          title: Segmentation Id
          type: integer
        segmentation_type:
          description: type of network segment
          example: vlan
          examples:
            - vlan
          title: Segmentation Type
          type: string
      required:
        - port_id
        - ip_assignments
        - network_id
        - port_security_enabled
        - network_details
        - floatingip_details
        - allowed_address_pairs
        - segmentation_type
        - segmentation_id
      title: InstanceInterfaceSubportSerializer
      type: object
    FloatingIPStatus:
      enum:
        - ACTIVE
        - DOWN
        - ERROR
      title: FloatingIPStatus
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
    SubnetSerializer:
      properties:
        available_ips:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of available ips in subnet
          examples:
            - 250
          title: Available Ips
        cidr:
          description: CIDR
          example: 192.168.13.0/24
          examples:
            - 192.168.13.0/24
          format: ipvanynetwork
          title: Cidr
          type: string
        created_at:
          description: Datetime when the subnet was created
          example: 2019-06-13T13:58:12+0000
          examples:
            - 2019-06-13T13:58:12+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: Task that created this entity
          examples:
            - 5cc890da-d031-4a23-ac31-625edfa22812
          title: Creator Task Id
        dns_nameservers:
          anyOf:
            - items:
                format: ipvanyaddress
                type: string
              type: array
            - type: 'null'
          default: null
          description: List IP addresses of a DNS resolver reachable from the network
          examples:
            - - 8.8.8.8
              - 8.8.4.4
          title: Dns Nameservers
        enable_dhcp:
          description: True if DHCP should be enabled
          example: true
          examples:
            - true
          title: Enable Dhcp
          type: boolean
        gateway_ip:
          anyOf:
            - format: ipvanyaddress
              type: string
            - type: 'null'
          default: null
          description: >-
            Default GW IPv4 address, advertised in DHCP routes of this subnet.
            If null, no gateway is advertised by this subnet.
          examples:
            - 192.168.13.1
          title: Gateway Ip
        has_router:
          default: false
          deprecated: true
          description: Deprecated. Always returns `false`.
          example: false
          examples:
            - false
          title: Has Router
          type: boolean
        host_routes:
          anyOf:
            - items:
                $ref: '#/components/schemas/RouteOutSerializer'
              type: array
            - type: 'null'
          default: null
          description: List of custom static routes to advertise via DHCP.
          examples:
            - []
          title: Host Routes
        id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: Subnet id.
          examples:
            - b39792c3-3160-4356-912e-ba396c95cdcf
          title: Id
        ip_version:
          $ref: '#/components/schemas/IPVersion'
          description: IP version
          examples:
            - 4
        name:
          description: Subnet name
          example: subnet_3
          examples:
            - subnet_3
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
        network_id:
          description: Network ID
          example: b30d0de7-bca2-4c83-9c57-9e645bd2cc92
          examples:
            - b30d0de7-bca2-4c83-9c57-9e645bd2cc92
          format: uuid4
          title: Network Id
          type: string
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        total_ips:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Total number of ips in subnet
          examples:
            - 253
          title: Total Ips
        updated_at:
          description: Datetime when the subnet was last updated
          example: 2019-06-13T13:58:12+0000
          examples:
            - 2019-06-13T13:58:12+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - project_id
        - region_id
        - region
        - name
        - network_id
        - ip_version
        - enable_dhcp
        - cidr
        - tags
        - created_at
        - updated_at
      title: SubnetSerializer
      type: object
    RouteOutSerializer:
      properties:
        destination:
          description: CIDR of destination IPv4 or IPv6 subnet.
          example: 10.0.3.0/24
          examples:
            - 10.0.3.0/24
          format: ipvanynetwork
          title: Destination
          type: string
        nexthop:
          description: >-
            IPv4 or IPv6 address to forward traffic to if it's destination IP
            matches 'destination' CIDR.
          example: 10.0.0.13
          examples:
            - 10.0.0.13
          format: ipvanyaddress
          title: Nexthop
          type: string
      required:
        - destination
        - nexthop
      title: RouteOutSerializer
      type: object
    IPVersion:
      enum:
        - 4
        - 6
      title: IPVersion
      type: integer
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````